# Installation

Run `composer require dedi/sylius-image-optimizer-plugin`

Change your `config/bundles.php` file to add the line for the plugin :

```php
<?php

return [
    //..
    Dedi\SyliusImageOptimizerPlugin\DediSyliusImageOptimizerPlugin::class => ['all' => true],
];
```

Create `dedi_sylius_image_optimizer_plugin.yaml` file into `config/packages` folder to import required config

```yaml
# config/packages/dedi_sylius_image_optimizer_plugin.yaml

imports:
    - { resource: "@DediSyliusImageOptimizerPlugin/Resources/config/config.yaml" }
```
Create `dedi_sylius_image_optimizer_plugin.yaml` file into `config/routes` folder to import required routes

```yaml
# config/packages/dedi_sylius_image_optimizer_plugin.yaml

dedi_sylius_image_optimizer_plugin:
    resource: "@DediSyliusImageOptimizerPlugin/Resources/config/routing/routes.yaml"

```

#### Liip configuration

##### Imagick vs GD

Using GD, we have experienced color profile losses. This is why, we recommand using  Imagick instead of GD library.

```yaml
liip_imagine:
    driver: "imagick" # replace gd with imagick
```

##### Loaders

The `̀liip_imagine.loaders` key should be defined in order for the media multi-path to be working.
 
```yaml
liip_imagine:
    driver: "imagick" # replace gd with imagick

    resolvers:
        default:
            web_path:
                web_root: "%kernel.project_dir%/public"
                cache_prefix: "media/cache"

    loaders:
        default:
            filesystem:
                data_root:
                    - "%kernel.project_dir%/public/media/rich-editor"
```
